Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.launcher
Class DefaultMuleDeployer

    java.lang.Object
      org.mule.module.launcher.DefaultMuleDeployer

All Implemented Interfaces:
  MuleDeployer

    public class DefaultMuleDeployer

extends Object
implements MuleDeployer

Field Summary
`protected Log` | `logger`

Constructor Summary
`DefaultMuleDeployer()`

Method Summary
`void` | `deploy(Application app)`
`Application` | `installFrom(URL url)`
`Application` | `installFromAppDir(String packedMuleAppFileName)` Installs packaged Mule apps from $MULE_HOME/apps directory.
`void` | `undeploy(Application app)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient Log logger

Constructor Detail

### DefaultMuleDeployer

    public DefaultMuleDeployer()

Method Detail

### deploy

    public void deploy(Application app)

  Specified by:
    `deploy` in interface `MuleDeployer`

### undeploy

    public void undeploy(Application app)

  Specified by:
    `undeploy` in interface `MuleDeployer`

### installFromAppDir

    public Application installFromAppDir(String packedMuleAppFileName)
                                  throws IOException

  Description copied from interface: `MuleDeployer`
  Installs packaged Mule apps from $MULE_HOME/apps directory.

  Specified by:
    `installFromAppDir` in interface `MuleDeployer`
  Parameters:
    `packedMuleAppFileName` - filename of the packed Mule app (only name + ext)
  Throws:
    `IOException`

### installFrom

    public Application installFrom(URL url)
                            throws IOException

  Specified by:
    `installFrom` in interface `MuleDeployer`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.